using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;
using System.Web;
using System.Data;
using System.Data.SqlClient;

using Sybase.DataWindow;
using TXSoft.Common;
using TXSoft.ExtPB;
using TXSoft.DataStore;


namespace A8ERP.CaiWu.CaiWuJingYingFenXi
{
    public partial class W_CWJYZKFX
    {
        public W_CWJYZKFX()
        {

        }
        public override void OnLoad()
        {
            base.OnLoad();
       
            string curYhbh = A8ERP.AppService.GetUserID();
            this.SetParm("curYhbh", curYhbh);
            this.SetParm("curCdbh", this.FunctionID);
            
            A8erp.Core.Common.AddReportService(dw_list);
            if (this.Page != null)
            {
                this.Page.ClientScript.RegisterClientScriptInclude("W_CWJYZKFX", "/CaiWu/CaiWuJingYingFenXi/W_CWJYZKFX.win.js?JSV=" + AppService.GetJSVesion());
                this.Page.ClientScript.RegisterClientScriptInclude("OpenWindowQueryBase", "/DangAn/Base/OpenWindowQueryBase.win.js?JSV=" + AppService.GetJSVesion());
            }

            this.IsRegisterScriptFile = false;
        }
    }
}
